Categories:
  - Games
License: GPL-3.0-only
AuthorName: Calcitem Studio and Sanmill Developers
SourceCode: https://github.com/calcitem/Sanmill
IssueTracker: https://github.com/calcitem/Sanmill/issues
Changelog: https://github.com/calcitem/Sanmill/releases

AutoName: Mill

RepoType: git
Repo: https://github.com/calcitem/Sanmill.git

Builds:
  - versionName: 1.0.3
    versionCode: 1768
    commit: v1.0.3-fdroid
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - src/ui/flutter_app/ios
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.4
    versionCode: 1776
    commit: v1.0.4
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.5
    versionCode: 1797
    commit: v1.0.5
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.7
    versionCode: 1813
    commit: v1.0.7
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.8
    versionCode: 1818
    commit: v1.0.8
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.9
    versionCode: 1823
    commit: v1.0.9
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.10
    versionCode: 1827
    commit: v1.0.10
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.11
    versionCode: 1832
    commit: v1.0.11
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.12
    versionCode: 1834
    commit: v1.0.12
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.14
    versionCode: 1847
    commit: v1.0.14
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - flutter config --no-analytics
      - cd src/ui/flutter_app
      - flutter pub get
      - flutter pub global activate intl_utils
      - flutter --no-color pub global run intl_utils:generate
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.16
    versionCode: 1869
    commit: v1.0.16
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.17
    versionCode: 1874
    commit: v1.0.17
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.18
    versionCode: 1876
    commit: v1.0.18
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.19
    versionCode: 1889
    commit: v1.0.19
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.20
    versionCode: 1894
    commit: v1.0.20
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.21
    versionCode: 1901
    commit: v1.0.21
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.24
    versionCode: 1933
    commit: v1.0.24
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.0.25
    versionCode: 1936
    commit: v1.0.25
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.1
    versionCode: 1953
    commit: a93f7445b97e9c8d5d9e0a98cd5940fa63467b84
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.2
    versionCode: 1956
    commit: 277b67579342f15ddbcc583ba4aeeccd4ae1983e
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.3
    versionCode: 1959
    commit: 7b1c13ed07d7c524956000dcfd8ba476956ceb33
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.4
    versionCode: 1962
    commit: d8aea6c68095414d9edf13aba1ab96774c9ae636
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.8
    versionCode: 1994
    commit: b6d8ef755d58bcb308338e2034a0500eb2e1a719
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - rm src/ui/flutter_app/android/app/build.gradle
      - mv src/ui/flutter_app/android/app/build.gradle_fdroid src/ui/flutter_app/android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.9
    versionCode: 1998
    commit: c8ac37c0c05ad9985572fee7206d8aa76501ada0
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.10
    versionCode: 2011
    commit: a62d343e04d60712f36f9e5dd07779f07c24ec47
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.11
    versionCode: 2020
    commit: 9c93abdc33d6b833c219c5acf6d1f69bd840328b
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.12
    versionCode: 2025
    commit: 77fbb0749fbc4412e00113c2eb283f62a9c1b29f
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.13
    versionCode: 2031
    commit: ed7a8648824165e4372b34a68e767afe96d187c6
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.14
    versionCode: 2037
    commit: f6bea033a0703b6a72f7d3c35e062b8f7b8e3cf1
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.15
    versionCode: 2043
    commit: cda1265d8bb0f7efb6be1d975593790a54a357f8
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.16
    versionCode: 2053
    commit: 59578dfd278c729fd421628d4f2be1e674530d04
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.22
    versionCode: 2079
    commit: 1a9c078be0e71065d69c0742a37bc41cbb8ad05a
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.23
    versionCode: 2086
    commit: 78f39d5144769c06b7e653df1973311eb285849e
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.24
    versionCode: 2090
    commit: 8054e4b486b32c23cdba13aa24ca13a97986121b
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.25
    versionCode: 2129
    commit: 4351b0eae57573ac599046d8ef47e5da3920e55c
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.26
    versionCode: 2137
    commit: af25423d4e9afc09ee99f4b2a7346ccad3b20d9c
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.27
    versionCode: 2143
    commit: 55341e9b2cf053dd3c15969487b43b9543e19f30
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.28
    versionCode: 2146
    commit: 8e905981f6dceb1f75d23642881a31a3a66b45e9
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.29
    versionCode: 2148
    commit: 0dae2b48e869084a8403d1729df2fef064369140
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.30
    versionCode: 2156
    commit: 4645bf4054087d52e359f48db9afc6e214c09940
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.31
    versionCode: 2160
    commit: 82e44da06f2d6959f0092819cd7513a92810b893
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.32
    versionCode: 2164
    commit: 1f9ea8a35ffc26e849b6cf9c35586a0cace99f2a
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.33
    versionCode: 2167
    commit: 8ac13d061e1eab5fc4af37a5bad3f1d9937fb771
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.34
    versionCode: 2172
    commit: 87e731453350aac3e9db59a3ab48a3fbb84d32c0
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.35
    versionCode: 2178
    commit: 38557a7b7ef3d078ce44650ec9034678c325b6ea
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.36
    versionCode: 2182
    commit: 410275ba57d40e08ef21aabdb6a50b220ff45809
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.37
    versionCode: 2184
    commit: 9bbb0d3b29df08706b10c9f42d07d808b5e13eed
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.38
    versionCode: 2196
    commit: a5dfe514f200fb6cc3a9214c2698679e0e7bf11e
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.39
    versionCode: 2206
    commit: c1aa2a009836aa5465f088c2d98b0d1e968f06fa
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.40
    versionCode: 2212
    commit: 47e3b92349364e71e161a5ab68f335d643c3ea9d
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.10.0
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid

  - versionName: 1.1.41
    versionCode: 2216
    commit: 367a427658da124e67ea14f2e5b004fa161a56bd
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.10.1
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 1.1.42
    versionCode: 2220
    commit: f40d29a11098f55e3db9d49a31177ce0b856c0fa
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.10.2
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 1.1.43
    versionCode: 2225
    commit: ba9de9882524162a8efc692e51be855175d1d95d
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.10.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 2.0.1
    versionCode: 2930
    commit: 3713d79ea49e8ec40449281cd80b19dfb77ba8e3
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 2.0.4
    versionCode: 3001
    commit: de987cf43ed5dad5544a78e41f4c3b11804e5bc6
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 2.0.5
    versionCode: 3034
    commit: 9b42c3a898b23f20bbd74c5dea29d09fe0171bf7
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 2.0.6
    versionCode: 3048
    commit: 6010c7077a45d83be6b35b8bbce65d1b4add3192
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    output: src/ui/flutter_app/build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild:
      - cd src/ui/flutter_app/android/app
      - rm build.gradle
      - mv build.gradle_fdroid build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - ./flutter-init.sh
      - cd src/ui/flutter_app
      - flutter config --no-analytics
      - flutter build apk -v --flavor fdroid
    ndk: r21e

  - versionName: 2.0.7
    versionCode: 3063
    commit: d4d071f892f5e03f8154c1d3c57085e982a86cf2
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild: mv android/app/build.gradle_fdroid android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - pushd ../../..
      - ./flutter-init.sh
      - popd
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid
    ndk: r21e

  - versionName: 2.0.12
    versionCode: 3124
    commit: 31bb146be081f3449dcebca751fed26a59089b7c
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild: mv android/app/build.gradle_fdroid android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - pushd ../../..
      - ./flutter-init.sh
      - popd
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid
    ndk: r21e

  - versionName: 2.0.13
    versionCode: 3152
    commit: d6ebfb118a9b30a41395f4fc4edd33c865f82469
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild: mv android/app/build.gradle_fdroid android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - pushd ../../..
      - ./flutter-init.sh
      - popd
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid
    ndk: r21e

  - versionName: 2.0.14
    versionCode: 3166
    commit: ce2225e3710a63eecc25e684533b26210a6c4dd9
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild: mv android/app/build.gradle_fdroid android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - pushd ../../..
      - ./flutter-init.sh
      - popd
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid
    ndk: r21e

  - versionName: 2.0.15
    versionCode: 3169
    commit: f505c2b95948ab3e8570ff859ae7f74b8e4c2654
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild: mv android/app/build.gradle_fdroid android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - pushd ../../..
      - ./flutter-init.sh
      - popd
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid
    ndk: r21e

  - versionName: 2.0.16
    versionCode: 3172
    commit: c86032a19d7334c6998e7fd43934680d9e35d0b5
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.3
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - resources
      - tests
    prebuild: mv android/app/build.gradle_fdroid android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - pushd ../../..
      - ./flutter-init.sh
      - popd
      - flutter config --no-analytics
      - flutter build apk --flavor fdroid
    ndk: r21e

  - versionName: 2.0.18
    versionCode: 3198
    commit: cf95dc5c87507fbba957f806bef24b3cf07933c8
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 2.0.19
    versionCode: 3202
    commit: 06ea29259c5ee285626097e7a0d4721ae6f8d519
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 2.0.20
    versionCode: 3205
    commit: 718ffa48bcf58b62b2c120358087c941cff063b4
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ci
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.0.0
    versionCode: 3271
    commit: 4eee53c6f9626dcc3434d4f885592f00af065cbc
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.0.1
    versionCode: 3306
    commit: f177614526e1a3c554b7bfbda343e7a273a82413
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.1.0
    versionCode: 3319
    commit: a89223b03dfae87d9129e81ea1a5565c2feff41a
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.3.0
    versionCode: 3333
    commit: 48d72620e7414ae2e29b03a114c1b39fb6bb8d25
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.3.1
    versionCode: 3354
    commit: e79af1fc03f2f35f7a06e77f8bccd91b2de089a8
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.3.2
    versionCode: 3359
    commit: 284720f18fa73e5709c01f3b99db8887e142c1cf
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.3.3
    versionCode: 3366
    commit: fa7757c6f46e22bf7d2e0fe07b7dd85c79b0fbb1
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.4.0
    versionCode: 3395
    commit: 927eae9d6ddcbfb287ba097070f56576bb6e333b
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.4.1
    versionCode: 3412
    commit: 39c3585656947104822ffccb17d97c1098f74960
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r21e

  - versionName: 3.4.2
    versionCode: 3419
    commit: 69df8104e851005493cf9c29f3b092eb2d916e8c
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.1
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.0
    versionCode: 3467
    commit: 9712eee101fa387e5228de0bf9ca28fba7fe7c0e
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.1
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.1
    versionCode: 3480
    commit: a51e57b9219887a2573257475f1d087ac1682220
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.12
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.7
    versionCode: 3535
    commit: 30c1728b941d7fa5afcb0f48042b33cb6d98e87a
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.8
    versionCode: 3540
    commit: 1a9f9c7bdd2e1a09f05f7f02d859de5eea8505c7
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.9
    versionCode: 3543
    commit: 954b4ecdb2025570d7eaf781d6d8d0be7f1df4e9
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.10
    versionCode: 3551
    commit: 04f31cf24ccc0f92367b11dcedd0a41333772a9b
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.12
    versionCode: 3555
    commit: d6f21c22c94352f659eb7ccc4a23942504985e76
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

  - versionName: 3.5.13
    versionCode: 3558
    commit: 580ccc6f4f1be7f38959872479a3473bfec753dc
    subdir: src/ui/flutter_app
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.5
    rm:
      - src/perfect
      - src/test
      - src/ui/flutter_app/ios
      - src/ui/flutter_app/linux
      - src/ui/flutter_app/macos
      - src/ui/flutter_app/windows
      - src/ui/flutter_app/test
      - src/ui/qt
      - tests
    prebuild:
      - mv android/app/build.gradle_fdroid android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin:$PATH
      - cd ../../..
      - ./flutter-init.sh
    scandelete:
      - src/ui/flutter_app/.pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid --release
    ndk: r25b

MaintainerNotes: |-
    Builds will fail when the srclib ref of flutter and the version with which
    upstream has been built with differ.
    In that case we need to manually give the correct ref to srclib.

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: src/ui/flutter_app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 3.5.13
CurrentVersionCode: 3558
